import React, { ReactElement } from 'react';
import {
  BrowserRouter as Router,
  Route,
  Switch
} from 'react-router-dom';
import { CaloriesList } from '../components/caloriesList/CaloriesList';
import { AppContextProvider } from './AppContextProvider';
import { PageFooter } from './pageFooter/PageFooter';
import { PageHeader } from './pageHeader/PageHeader';
import './app.css';

function App (): ReactElement {
  return (
    <AppContextProvider >
      <PageHeader />

      <main id="pageContent">
        <Router>
          <Switch>
            <Route path="/">
              <CaloriesList />
            </Route>
          </Switch>
        </Router>
      </main>

      <PageFooter />
    </AppContextProvider>
  );
}

export {
  App
};
